package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "doctor_info_view")
public class DoctorInfoView {

    @Id
    @Column(name = "id")
    private int id;

    /**
     * 医生职称
     */
    @Column(name = "title")
    private String title;

    /**
     * 医生擅长
     */
    @Column(name = "specialty")
    private String specialty;

    /**
     * 医生简介
     */
    @Column(name = "brief_intro")
    private String briefIntro;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 物理上是否删除
     */
    @Column(name = "is_deleted")
    private int isDeleted;

    /**
     * doctor_dept表的deptId
     */
    @Column(name = "dept_ids")
    private String deptIds;

    /**
     * doctor_dept表的hospitalId
     */
    @Column(name = "hospital_ids")
    private String hospitalIds;

    /**
     * 用户名
     */
    @Column(name = "user_name")
    private String userName;
    /**
     * 真实姓名
     */
    @Column(name = "real_name")
    private String realName;
    /**
     * 证件类型（1-身份证）
     */
    @Column(name = "id_certificate_type")
    private Integer idCertificateType;
    /**
     * 证件号码
     */
    @Column(name = "id_certificate_no")
    private String idCertificateNo;

    /**
     * 手机号
     */
    @Column(name = "mobile")
    private String mobile;

    /**
     * 性别
     */
    @Column(name = "sex")
    private Integer sex;

    /**
     * 年龄
     */
    @Column(name = "age")
    private Integer age;

    /**
     * 头像
     */
    @Column(name = "avatar")
    private String avatar;

    /**
     * 头像
     */
    @Column(name = "avatar2")
    private String avatar2;

    /**
     * 生日
     */
    @Column(name = "birthday")
    private String birthday;

    /**
     * 省
     */
    @Column(name = "province")
    private String province;

    /**
     * 市
     */
    @Column(name = "city")
    private String city;

    /**
     * 区
     */
    @Column(name = "area")
    private String area;

    /**
     * 用户状态（0-正常 1-锁定）
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 医生出诊状态
     */
    @Column(name = "schedule_status")
    private Integer scheduleStatus;

    /**
     * 医生状态（0-正常 1-锁定）
     */
    @Column(name = "doctor_status")
    private Integer doctorStatus;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getBriefIntro() {
        return briefIntro;
    }

    public void setBriefIntro(String briefIntro) {
        this.briefIntro = briefIntro;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public int getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(int isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(String deptIds) {
        this.deptIds = deptIds;
    }

    public String getHospitalIds() {
        return hospitalIds;
    }

    public void setHospitalIds(String hospitalIds) {
        this.hospitalIds = hospitalIds;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getIdCertificateType() {
        return idCertificateType;
    }

    public void setIdCertificateType(Integer idCertificateType) {
        this.idCertificateType = idCertificateType;
    }

    public String getIdCertificateNo() {
        return idCertificateNo;
    }

    public void setIdCertificateNo(String idCertificateNo) {
        this.idCertificateNo = idCertificateNo;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getScheduleStatus() {
        return scheduleStatus;
    }

    public void setScheduleStatus(Integer scheduleStatus) {
        this.scheduleStatus = scheduleStatus;
    }

    public Integer getDoctorStatus() {
        return doctorStatus;
    }

    public void setDoctorStatus(Integer doctorStatus) {
        this.doctorStatus = doctorStatus;
    }

    public String getAvatar2() {
        return avatar2;
    }

    public void setAvatar2(String avatar2) {
        this.avatar2 = avatar2;
    }
}
